<?php
/**
 * @author  Rainbow-Themes
 * @since   1.0
 * @version 1.0
 */

namespace rainbow\Rainbow_Elements;

use Elementor\Plugin;

if (!defined('ABSPATH')) exit; // Exit if accessed directly

class Custom_Widget_Init
{

    public function __construct()
    {
        add_action('elementor/widgets/register', array($this, 'elementor_widgets_control'));
        add_action('elementor/elements/categories_registered', array($this, 'widget_categoty'));
        add_action('elementor/editor/after_enqueue_styles', array($this, 'editor_style'));
        add_action('wp_enqueue_scripts', [$this,'inbio_element_enqueue']);


    }

    public function editor_style()
    {
        $img = plugins_url('icon.png', __FILE__);
        wp_add_inline_style('elementor-editor', '.elementor-element .icon .rainbow-el-custom{content: url(' . $img . ');width: 28px;}');
        wp_add_inline_style('elementor-editor', '.select2-container--default .select2-selection--single {min-width: 126px !important; min-height: 30px !important;}');
    }


    public function elementor_widgets_control()
    {
        if (did_action('elementor/loaded')) {
            require_once 'base.php';
        }
    }
 
    public function widget_categoty($class)
    {
        $id = RAINBOW_ELEMENTS_THEME_PREFIX . '-widgets'; // Category /@dev
        $properties = array(
            'title' => __('Rainbow Elements', 'rainbow-elements'),
        );

        Plugin::$instance->elements_manager->add_category($id, $properties);
    }

    public function inbio_element_enqueue() {
       
        wp_enqueue_script('doob-element-scripts', RAINBOW_ELEMENTS_BASE_URL . 'assets/js/element-scripts.js', array('jquery'), '1.0', true);
        wp_enqueue_script('doob-ajax-scripts', RAINBOW_ELEMENTS_BASE_URL . 'assets/js/ajax-scripts.js', array('jquery'), '1.0', true);
        $rainbow_options = \Rainbow_Helper::rainbow_get_options();
        $rainbow_enable_audio_sound    = (isset($rainbow_options['rainbow_enable_audio_sound'])) ? $rainbow_options['rainbow_enable_audio_sound'] : 'no';
        $notice_bar_show_display_time  = (isset($rainbow_options['notice_bar_show_display_time'])) ? $rainbow_options['notice_bar_show_display_time'] : 'no';
        $rainbow_notice_bar_position  = (isset($rainbow_options['rainbow_notice_bar_position'])) ? $rainbow_options['rainbow_notice_bar_position'] : 'center';

        wp_localize_script(
            'doob-ajax-scripts',
            'bioShortcodeData',
            [
                'post-id'  => get_the_ID(),
                'nonce'    => wp_create_nonce( 'bio-shortcode' ),
                'endpoint' => admin_url( 'admin-ajax.php' ),
                'action'   => 'bio_protected_code'
            ]
        );


        wp_localize_script(
            'doob-ajax-scripts',
            'inbio_ajax_obj_global',
            [
                'nonce'    => wp_create_nonce( 'inbio_audio_nonce' ),
                'ajaxUrl' => admin_url( 'admin-ajax.php' ),
                'rainbow_enable_audio_sound' => $rainbow_enable_audio_sound,
                'notice_bar_show_display_time' => $notice_bar_show_display_time,
                'rainbow_notice_bar_position' => $rainbow_notice_bar_position,
            ]
        );
    }

}

new Custom_Widget_Init();